import { boolean, number, object, string } from 'yup'

export const examSchema = object().shape({
  title: string().required().min(3),
  sessionId: string().required(),
  minimumScore: number().typeError('حد نصاب قبولی باید عدد باشد').required(),
  score: number().typeError('کل نمره آزمون باید عدد باشد').required(),
  durationMinutes: number().typeError('مدت زمان باید عدد باشد').required(),
  description: string().nullable().notRequired(),
  isActive: boolean().nullable().notRequired(),
})
